<template>
  <div :class="usedClasses">
    <ve-progress :loading="true" :size="props.size" emptyColor="transparent" color="#d1d5db" :loader="{
      opacity: '1',
    }" thickness="4%" />
  </div>
</template>

<script lang="ts" setup>
import { computed } from "vue";

const props = defineProps<{
  size?: number;
  classes?: string;
}>();

const usedClasses = computed(() =>
  props.classes ? props.classes : "flex items-center justify-center"
);
</script>
